<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'invoice_entry.php');
/**
 * invoice_entries class 
 *
 */
class invoice_entries extends databasetable
{
	/**
	 * initiates the invoice_entries class
	 *
	 */
	function invoice_entries(){
		$this->set_tablename(TABLE_INVOICE_ENTRIES);
		$this->set_index('invoice_entries_id');
	}
	
	/**
	 * return a invoice_entry object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_invoice_entry($id){
		$values = $this->get_row_by_index($id);
		$invoice_entry_instance = new invoice_entry( (object) current($values) );
		return $invoice_entry_instance;
	}
}
